READLINK(1)

NAZWA
readlink - wypisuje cele dowiązań symbolicznych lub kanoniczne nazwy plików

SKŁADNIA
readlink [OPCJA]... PLIK...

OPIS
realpath(1) jest lepszym poleceniem w zakresie kanonicznych nazw plików.

Wypisuje wartość dowiązania symbolicznego lub kanoniczną nazwę pliku

-f, --canonicalize
    wypisuje kanoniczną nazwę pliku, podążając za każdym dowiązaniem symbolicznym we wszystkich składowych podanej nazwy; przy czym muszą istnieć wszystkie części oprócz ostatniej

-e, --canonicalize-existing
    wypisuje kanoniczną nazwę pliku, podążając za każdym dowiązaniem symbolicznym we wszystkich składowych podanej nazwy; przy czym muszą istnieć wszystkie części składowe

-m, --canonicalize-missing
    wypisuje kanoniczną nazwę pliku, podążając za każdym dowiązaniem symbolicznym we wszystkich składowych podanej nazwy; bez wymagań dotyczących istnienia którejkolwiek ze składowych

-n, --no-newline
    nie wypisuje kończącego ogranicznika

-q, --quiet

-s, --silent
    wyłącza wyświetlanie większości komunikatów o błędach (domyślnie włączone, jeśli nie ustawiono POSIXLY_CORRECT)

-v, --verbose
    wyłącza wyświetlanie większości komunikatów o błędach (domyślnie włączone, jeśli ustawiono POSIXLY_CORRECT)

-z, --zero
    kończy każdy wiersz bajtem NUL, zamiast znakiem nowego wiersza

--help
    wyświetla ten tekst i kończy pracę

--version
    wyświetla informacje o wersji i kończy działanie

AUTOR
Napisane przez Dmitrija V. Levina.

ZGŁASZANIE BŁĘDÓW
Zgłoszenia błędów proszę wysyłać na adres bug-coreutils@gnu.org
Strona internetowa GNU coreutils: <https://www.gnu.org/software/coreutils/>
Ogólna pomoc dotycząca oprogramowania GNU: <https://www.gnu.org/gethelp/>
O błędach tłumaczenia programu prosimy poinformować przez <https://translationproject.org/team/pl.html>

ZOBACZ TAKŻE
readlink(2), realpath(1), realpath(3)

Pełna dokumentacja: <https://www.gnu.org/software/coreutils/readlink>
lub lokalnie, za pomocą info '(coreutils) readlink invocation'

Spakietowane przez Debiana (9.10-1)
Copyright © 2026 Free Software Foundation, Inc.
Licencja GPLv3+: GNU GPL w wersji 3 lub późniejszej <https://gnu.org/licenses/gpl.html>.
Jest to wolne oprogramowanie: można je zmieniać i rozpowszechniać.
Nie ma ŻADNEJ GWARANCJI, w granicach określonych przez prawo.

TŁUMACZENIE
Tłumaczenie niniejszej strony podręcznika: Michał Kułach <michal.kulach@gmail.com>

Niniejsze tłumaczenie jest wolną dokumentacją. Bliższe informacje o warunkach licencji można uzyskać zapoznając się z GNU General Public License w wersji 3 (https://www.gnu.org/licenses/gpl-3.0.html) lub nowszej. Nie przyjmuje się ŻADNEJ ODPOWIEDZIALNOŚCI.

Błędy w tłumaczeniu strony podręcznika prosimy zgłaszać na adres listy dyskusyjnej manpages-pl-list@lists.sourceforge.net.